libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

_xr_value_node_type
xr_blob
xr_blob_new
xr_blob_ref
xr_blob_unref
xr_value
xr_value_array_append
xr_value_array_new
xr_value_blob_new
xr_value_bool_new
xr_value_double_new
xr_value_dump
xr_value_get_items
xr_value_get_member
xr_value_get_member_name
xr_value_get_member_value
xr_value_get_members
xr_value_get_type
xr_value_int_new
xr_value_is_error_retval
xr_value_ref
xr_value_string_new
xr_value_struct_new
xr_value_struct_set_member
xr_value_time_new
xr_value_to_blob
xr_value_to_bool
xr_value_to_double
xr_value_to_int
xr_value_to_string
xr_value_to_time
xr_value_to_value
xr_value_unref

gboolean xr_value_to_double | ( | xr_value * | val,
|  | double * | nval
| ) |  |

Extract xr_value of type XRV_DOUBLE into the native language type.

Parameters

  val | Value node. May be NULL, see below.
  nval | Pointer to the variable where value should be extracted. This pointer must not be NULL.

Returns
  This function returns FALSE if value can't be extracted, this may happen when val is NULL or val is not of expected node type. On error value pointed to by nval is not modified. TRUE is returned on success.

Documentation for libxr, Fri Apr 15 2016 08:12:18.